<?php

namespace Tesr\Test1\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class CustomermasterItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('test1/customermaster') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'MobileNumber' => $this->MobileNumber,
            'CustomerName' => $this->CustomerName,
            'ContryCode' => $this->ContryCode,
            'Represtative' => $this->Represtative,
            'Email_ID' => $this->Email_ID,
            'City' => $this->City,
            'State' => $this->State,
            'DealerName' => $this->DealerName,
            'ExecutiveName' => $this->ExecutiveName,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
